﻿Option Strict Off
Option Explicit On

Imports System.Net.NetworkInformation
Imports System.Net
'Imports System.Diagnostics
''' <summary>
''' Gestion de l'adresse IP
''' </summary>
''' <remarks></remarks>
Class IP
    ''' <summary>
    ''' Retourne l'adresse ip de l'adapter choisi
    ''' </summary>
    ''' <param name="Adaptnbr">numéro de l'adapteur</param>
    ''' <returns>Adresse ip au format text</returns>
    ''' <remarks></remarks>
    Shared Function getip(ByVal Adaptnbr As Integer) As String
        Try
            Dim ipEntry As IPHostEntry = Dns.GetHostEntry(Environment.MachineName)
            Dim IpAddr As IPAddress() = ipEntry.AddressList
            Return IpAddr(Adaptnbr).ToString
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
            Return "0"
        End Try
    End Function
End Class
